当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : checking for METACITY... configure: error: 求助
帖子发表于 : 2009-09-24 11:49 
头像

注册: 2007-01-30 7:13
帖子: 1446
送出感谢: 4
接收感谢: 0 次
编译gnome 2.26遇到的问题:

引用:
checking for METACITY... configure: error: Package requirements (gtk+-2.0 >= 2.10.0 pango >= 1.2.0 gconf-2.0 >= 1.2.0 libstartup-notification-1.0 >= 0.7 xcomposite >= 0.2 xfixes xrender xdamage) were not met:

Package pthread-stubs was not found in the pkg-config search path.
Perhaps you should add the directory containing `pthread-stubs.pc'
to the PKG_CONFIG_PATH environment variable
Package 'pthread-stubs', required by 'XCB', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables METACITY_CFLAGS
and METACITY_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

make[7]: *** [configure-work/main.d/metacity-2.24.0/configure] Error 1
make[7]: Leaving directory `/home/linux/garnome-2.24.0/desktop/metacity'
make[6]: *** [../../desktop/metacity/cookies/main.d/install] Error 2
make[6]: Leaving directory `/home/linux/garnome-2.24.0/desktop/gnome-themes'
make[5]: *** [../../desktop/gnome-themes/cookies/main.d/install] Error 2
make[5]: Leaving directory `/home/linux/garnome-2.24.0/desktop/gnome-desktop'
make[4]: *** [../../desktop/gnome-desktop/cookies/main.d/install] Error 2
make[4]: Leaving directory `/home/linux/garnome-2.24.0/desktop/nautilus'
make[3]: *** [../../desktop/nautilus/cookies/main.d/install] Error 2
make[3]: Leaving directory `/home/linux/garnome-2.24.0/bindings/gnome-python'
make[2]: *** [../../bindings/gnome-python/cookies/main.d/install] Error 2
make[2]: Leaving directory `/home/linux/garnome-2.24.0/admin/pessulus'
make[1]: *** [paranoid-install] Error 2
make[1]: Leaving directory `/home/linux/garnome-2.24.0/admin'
make: *** [paranoid-install] Error 2


页首
 用户资料  
 
2 楼 
 文章标题 : Re: checking for METACITY... configure: error: 求助
帖子发表于 : 2009-09-25 7:08 
头像

注册: 2008-10-29 22:16
帖子: 133
送出感谢: 0 次
接收感谢: 0 次
你这些包没有或版本不够,源里都有下;
gtk+-2.0 >= 2.10.0 pango >= 1.2.0 gconf-2.0 >= 1.2.0 libstartup-notification-1.0 >= 0.7 xcomposite >= 0.2 xfixes xrender xdamage


_________________
代码:
苏老泉,二十七,始发愤,读书籍。彼既老,犹悔迟。尔小生,宜早思!!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译